Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class IdGenerator

    java.lang.Object
      org.hibernate.metamodel.binding.IdGenerator

All Implemented Interfaces:
  Serializable

    public class IdGenerator

extends Object
implements Serializable

Identifier generator container, Useful to keep named generator in annotations

See Also:
  Serialized Form

Constructor Summary
`IdGenerator(String name, String strategy, Map<String,String> parameters)`

Method Summary
`String` | `getName()`
`Map<String,String>` | `getParameters()`
`String` | `getStrategy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdGenerator

    public IdGenerator(String name,
                       String strategy,
                       Map<String,String> parameters)

Method Detail

### getStrategy

    public String getStrategy()

  Returns:
    identifier generator strategy

### getName

    public String getName()

  Returns:
    generator name

### getParameters

    public Map<String,String> getParameters()

  Returns:
    generator configuration parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.